Bug 429220 - pulseaudio causes random browser crashes
pulseaudio causes random browser crashes
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
8
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-17 19:06 EST by Linus Torvalds
Modified: 2008-08-02 19:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-17 13:11:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Linus Torvalds 2008-01-17 19:06:09 EST
Description of problem:

Firefox exits with a SIGSEGV in one thread if pulseaudio is in use

Version-Release number of selected component (if applicable):

pulseaudio-0.9.8-4.fc8.1

How reproducible:

It doesn't happen immediately, and it seems to require flash (but not
necessarily any sound from that flash thing). But it does trigger
eventually - I've had it happen multiple times on nytimes.com today,
because they are running the Apple anti-Vista flash ad (which is very
likable, although it's the *Vista* guy who is likable, not that stuck-
up Apple guy ;) 

Steps to Reproduce:
1. Run a 32-bit firefox browser so that flash works
2. Have Adobe's flash9 player installed, go to nytimes.com
3. Things work, but see it crash *eventually*
  
Actual results:

Firefox just exits randomly (I don't know what triggers it, since
sound does work, and things play several times, but then occasionally
it just crashes while I read the news)

Expected results:

I can read NYT and see John Hodgman at the same time!

Additional info:

Up-to-date FC8
Comment 1 Kevin Fenzi 2008-01-17 19:36:49 EST
Note that 0.9.8-4 is the version from updates-testing... 
you might confirm that it happens with the older 0.9.7 packages from updates?

Also, you can run nspluginwrapper to at least not cause your browser to crash... 
See: 
http://docs.fedoraproject.org/release-notes/f8/en_US/sn-Desktop.html#sn-Enabling-Flash-Plugin

which also will allow you to run a x86_64 firefox and nuke a bunch of unneeded
i386 packages. 
Comment 2 Linus Torvalds 2008-01-17 19:59:39 EST
Umm. I don't have updates-testing enabled, so there's something wrong
if I got it from there.

And I just checked: updates *does* contain 0.9.8-4 as of today. In
fact, as of yesterday. Which is when firefox started crashing for me.

As to nspluginwrapper, I'll try that, but it would be even better to
have pulseaudio not cause flash problems even if firefox itself doesn't
crash...
Comment 3 Kevin Fenzi 2008-01-17 21:24:13 EST
Oops. You are right. It got pushed to updates today. ;( 

Agreed, nspluginwrapper is just a sort of workaround to keep it from crashing
your browser... better to fix the problem. :(
Comment 4 Jason Farrell 2008-01-18 23:24:48 EST
one small note: after the 0.9.8-4 update, pulseaudio appeared to be 'not
working'. On my audigy, it switched to preferring the "PCM Front" mixer for
playback volume (which was mute), rather than the "Front" mixer it had been
using previously.
Comment 5 Lubomir Kundrak 2008-03-04 15:48:08 EST
Linus: I was not able to reproduce this. Nor was I able to find that Apple/Vista
ad. that would probably help me reproduce this. Do you have a link to it? Also,
it would probably be helpful if you managed to get a core dump and an usable
backtrace from it.

Would you mind doing a debuginfo-install libflashsupport pusleaudio firefox,
running firefox with ulimit -c unlimited and getting a stack trace from it once
this happens to you again?
Comment 6 Mads Kiilerich 2008-03-05 19:37:06 EST
From the description this seems very similar to bug 398641 - which has/had
debuginfo stacktraces, and which I still see regularly (that is when I enable flash)

Firefox flashblock is a convenient workaround.
Comment 7 Linus Torvalds 2008-03-17 13:11:48 EDT
I have re-enabled pulseaudio, but cannot recreate this any more. It may have
been some unfortunate interaction with that one Apple ad that is no longer
running, or (fingers crossed), maybe it's actually magically fixed some way. 

Regardless, I'm closing this bug-report as useless due to insufficient data.
Assuming bugzilla allows me to, of course.

Note You need to log in before you can comment on or make changes to this bug.